package com.trs.web2frame.myutils;

import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.Statement;
import java.util.HashMap;
import java.util.Map;
import java.util.Map.Entry;

import com.trs.web2frame.WCMServiceCaller;
import com.trs.web2frame.dispatch.Dispatch;
import com.trs.web2frame.tool.tyjyh.ConnectionUtil;
import com.trs.web2frame.tool.tyjyh.ConnectionUtil2;

public class TestDM {
	public static void main(String[] args) throws Exception {
		int count = 1;
		StringBuilder sb = new StringBuilder("SELECT * FROM idsuser");
		Connection connection = null;
		Statement statement = null;
		ResultSet set = null;
		Map<String,String> map = new HashMap<String,String>();
        try {
    		connection = ConnectionUtil.getConnection("oracle");
    		statement = connection.createStatement();
    		set = statement.executeQuery(sb.toString());
    		while (set.next()) {
    			String recid = set.getString("id");
    			System.out.println("recid"+recid);
    		}
        }catch(Exception e){
        	e.printStackTrace();
        } finally {
        	ConnectionUtil.closeConnection(set, statement, connection);
        }

	}
}
